com.genesyslab.wfm7.API.service.config720

## Class CfgContract

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgContract

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContract
      extends java.lang.Object
      implements java.io.Serializable

  Contract information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private CfgContractWeekHours[]` | `wmAvailabilities` Contract Open Hours (`CfgContractWeekHours`) for every week day.
    `private double` | `wmCompensationOver` Overtime compensation rate
    `private double` | `wmCompensationOver2` Secondary Overtime compensation rate
    `private int` | `wmContractId` Contract ID
    `private CfgContractMonthHours[]` | `wmContractMonthHours` Contract Monthly Hours (`CfgContractMonthHours`) Index 0 - Jan, 2 - Feb, ..., 11 - Dec
    `private int[]` | `wmContractShifts` List of Shift IDs (`CfgShift`) that are associated with Contract
    `private int` | `wmContractShiftsNSizeIs` Number of elements in wmContractShifts array
    `private int` | `wmDailyMinutesMax` Maximum Daily Minutes
    `private int` | `wmDailyMinutesMin` Minimum Daily Minutes
    `private int` | `wmDailyMinutesOver` Daily work minutes that qualify for Daily Overtime
    `private int` | `wmDailyMinutesOver2` Daily work minutes that qualify for Secondary Daily Overtime
    `private int` | `wmDailyMinutesStd` Standard Daily Minutes
    `private int` | `wmDayoffEx`
    `private int` | `wmDayoffMax` Maximum number of Days Off
    `private int` | `wmDayoffMin` Minimum number of Days Off
    `private int` | `wmIcon` Icon ID
    `private int` | `wmMaxBetweenDaysoff` Maximum number of work days between days off
    `private int` | `wmMinConsecTimeoff` Minimum number of Consecutive Time Off
    `private int` | `wmMonthlyMinutesMax` Maximum Monthly Minutes
    `private int` | `wmMonthlyMinutesMin` Minimum Monthly Minutes
    `private int` | `wmMonthlyMinutesOver` Monthly work minutes that qualify for Monthly Overtime
    `private int` | `wmMonthlyMinutesOver2` Monthly work minutes that qualify for Secondary Monthly Overtime
    `private int` | `wmMonthlyMinutesStd` Standard Monthly Minutes
    `private java.lang.String` | `wmName` Contract Name
    `private boolean` | `wmOver2Enabled` Secondary Overtime enabled (true/false)
    `private boolean` | `wmOverEnabled` Overtime enabled (true/false)
    `private boolean` | `wmSatOffEnabled` Saturdays Off rule enabled (true/false)
    `private int` | `wmSatOffMax` Maximum number of Saturdays off (per planning period)
    `private int` | `wmSatOffMin` Minimum number of Saturdays off (per planning period)
    `private int` | `wmSiteId` Site ID, indetifies `CfgSite` object
    `private boolean` | `wmSunOffEnabled` Sundays Off rule enabled (true/false)
    `private int` | `wmSunOffMax` Maximum number of Sundays off (per planning period)
    `private int` | `wmSunOffMin` Minimum number of Sundays off (per planning period)
    `private int` | `wmSynchThreshold` Synchronization Threshold
    `private int` | `wmSynchWeeks` Synchronization Weeks
    `private boolean` | `wmWeekendOffEnabled` Weekends Off rule enabled (true/false)
    `private int` | `wmWeekendOffMax` Maximum number of Weekends off (per planning period)
    `private int` | `wmWeekendOffMin` Minimum number of Weekends off (per planning period)
    `private int` | `wmWeeklyDaysMax` Maximum number of work days per week
    `private int` | `wmWeeklyDaysMin` Minimum number of work days per week
    `private int` | `wmWeeklyMinutesMax` Maximum Weekly MInutes
    `private int` | `wmWeeklyMinutesMin` Minimum Weekly Minutes
    `private int` | `wmWeeklyMinutesOver` Weekly work minutes that qualify for Weekly Overtime
    `private int` | `wmWeeklyMinutesOver2` Weekly work minutes that qualify for Secondary Weekly Overtime
    `private int` | `wmWeeklyMinutesStd` Standard Weekly Minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContract()`
    `CfgContract(int wmContractId, int wmSiteId, java.lang.String wmName, int wmIcon, int wmDailyMinutesStd, int wmDailyMinutesMin, int wmDailyMinutesMax, int wmWeeklyMinutesStd, int wmWeeklyMinutesMin, int wmWeeklyMinutesMax, int wmMonthlyMinutesStd, int wmMonthlyMinutesMin, int wmMonthlyMinutesMax, int wmMaxBetweenDaysoff, int wmWeeklyDaysMin, int wmWeeklyDaysMax, boolean wmSunOffEnabled, int wmSunOffMin, int wmSunOffMax, boolean wmSatOffEnabled, int wmSatOffMin, int wmSatOffMax, boolean wmWeekendOffEnabled, int wmWeekendOffMin, int wmWeekendOffMax, int wmDailyMinutesOver, int wmWeeklyMinutesOver, int wmMonthlyMinutesOver, double wmCompensationOver, int wmDailyMinutesOver2, int wmWeeklyMinutesOver2, int wmMonthlyMinutesOver2, double wmCompensationOver2, boolean wmOverEnabled, boolean wmOver2Enabled, int wmMinConsecTimeoff, int wmDayoffMin, int wmDayoffMax, int wmDayoffEx, int wmSynchThreshold, int wmSynchWeeks, CfgContractWeekHours[] wmAvailabilities, CfgContractMonthHours[] wmContractMonthHours, int wmContractShiftsNSizeIs, int[] wmContractShifts, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgContract.
    `CfgContractWeekHours[]` | `getWmAvailabilities()` Gets the wmAvailabilities value for this CfgContract.
    `double` | `getWmCompensationOver()` Gets the wmCompensationOver value for this CfgContract.
    `double` | `getWmCompensationOver2()` Gets the wmCompensationOver2 value for this CfgContract.
    `int` | `getWmContractId()` Gets the wmContractId value for this CfgContract.
    `CfgContractMonthHours[]` | `getWmContractMonthHours()` Gets the wmContractMonthHours value for this CfgContract.
    `int[]` | `getWmContractShifts()` Gets the wmContractShifts value for this CfgContract.
    `int` | `getWmContractShiftsNSizeIs()` Gets the wmContractShiftsNSizeIs value for this CfgContract.
    `int` | `getWmDailyMinutesMax()` Gets the wmDailyMinutesMax value for this CfgContract.
    `int` | `getWmDailyMinutesMin()` Gets the wmDailyMinutesMin value for this CfgContract.
    `int` | `getWmDailyMinutesOver()` Gets the wmDailyMinutesOver value for this CfgContract.
    `int` | `getWmDailyMinutesOver2()` Gets the wmDailyMinutesOver2 value for this CfgContract.
    `int` | `getWmDailyMinutesStd()` Gets the wmDailyMinutesStd value for this CfgContract.
    `int` | `getWmDayoffEx()` Gets the wmDayoffEx value for this CfgContract.
    `int` | `getWmDayoffMax()` Gets the wmDayoffMax value for this CfgContract.
    `int` | `getWmDayoffMin()` Gets the wmDayoffMin value for this CfgContract.
    `int` | `getWmIcon()` Gets the wmIcon value for this CfgContract.
    `int` | `getWmMaxBetweenDaysoff()` Gets the wmMaxBetweenDaysoff value for this CfgContract.
    `int` | `getWmMinConsecTimeoff()` Gets the wmMinConsecTimeoff value for this CfgContract.
    `int` | `getWmMonthlyMinutesMax()` Gets the wmMonthlyMinutesMax value for this CfgContract.
    `int` | `getWmMonthlyMinutesMin()` Gets the wmMonthlyMinutesMin value for this CfgContract.
    `int` | `getWmMonthlyMinutesOver()` Gets the wmMonthlyMinutesOver value for this CfgContract.
    `int` | `getWmMonthlyMinutesOver2()` Gets the wmMonthlyMinutesOver2 value for this CfgContract.
    `int` | `getWmMonthlyMinutesStd()` Gets the wmMonthlyMinutesStd value for this CfgContract.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgContract.
    `int` | `getWmSatOffMax()` Gets the wmSatOffMax value for this CfgContract.
    `int` | `getWmSatOffMin()` Gets the wmSatOffMin value for this CfgContract.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgContract.
    `int` | `getWmSunOffMax()` Gets the wmSunOffMax value for this CfgContract.
    `int` | `getWmSunOffMin()` Gets the wmSunOffMin value for this CfgContract.
    `int` | `getWmSynchThreshold()` Gets the wmSynchThreshold value for this CfgContract.
    `int` | `getWmSynchWeeks()` Gets the wmSynchWeeks value for this CfgContract.
    `int` | `getWmWeekendOffMax()` Gets the wmWeekendOffMax value for this CfgContract.
    `int` | `getWmWeekendOffMin()` Gets the wmWeekendOffMin value for this CfgContract.
    `int` | `getWmWeeklyDaysMax()` Gets the wmWeeklyDaysMax value for this CfgContract.
    `int` | `getWmWeeklyDaysMin()` Gets the wmWeeklyDaysMin value for this CfgContract.
    `int` | `getWmWeeklyMinutesMax()` Gets the wmWeeklyMinutesMax value for this CfgContract.
    `int` | `getWmWeeklyMinutesMin()` Gets the wmWeeklyMinutesMin value for this CfgContract.
    `int` | `getWmWeeklyMinutesOver()` Gets the wmWeeklyMinutesOver value for this CfgContract.
    `int` | `getWmWeeklyMinutesOver2()` Gets the wmWeeklyMinutesOver2 value for this CfgContract.
    `int` | `getWmWeeklyMinutesStd()` Gets the wmWeeklyMinutesStd value for this CfgContract.
    `int` | `hashCode()`
    `boolean` | `isWmOver2Enabled()` Gets the wmOver2Enabled value for this CfgContract.
    `boolean` | `isWmOverEnabled()` Gets the wmOverEnabled value for this CfgContract.
    `boolean` | `isWmSatOffEnabled()` Gets the wmSatOffEnabled value for this CfgContract.
    `boolean` | `isWmSunOffEnabled()` Gets the wmSunOffEnabled value for this CfgContract.
    `boolean` | `isWmWeekendOffEnabled()` Gets the wmWeekendOffEnabled value for this CfgContract.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgContract.
    `void` | `setWmAvailabilities(CfgContractWeekHours[] wmAvailabilities)` Sets the wmAvailabilities value for this CfgContract.
    `void` | `setWmCompensationOver(double wmCompensationOver)` Sets the wmCompensationOver value for this CfgContract.
    `void` | `setWmCompensationOver2(double wmCompensationOver2)` Sets the wmCompensationOver2 value for this CfgContract.
    `void` | `setWmContractId(int wmContractId)` Sets the wmContractId value for this CfgContract.
    `void` | `setWmContractMonthHours(CfgContractMonthHours[] wmContractMonthHours)` Sets the wmContractMonthHours value for this CfgContract.
    `void` | `setWmContractShifts(int[] wmContractShifts)` Sets the wmContractShifts value for this CfgContract.
    `void` | `setWmContractShiftsNSizeIs(int wmContractShiftsNSizeIs)` Sets the wmContractShiftsNSizeIs value for this CfgContract.
    `void` | `setWmDailyMinutesMax(int wmDailyMinutesMax)` Sets the wmDailyMinutesMax value for this CfgContract.
    `void` | `setWmDailyMinutesMin(int wmDailyMinutesMin)` Sets the wmDailyMinutesMin value for this CfgContract.
    `void` | `setWmDailyMinutesOver(int wmDailyMinutesOver)` Sets the wmDailyMinutesOver value for this CfgContract.
    `void` | `setWmDailyMinutesOver2(int wmDailyMinutesOver2)` Sets the wmDailyMinutesOver2 value for this CfgContract.
    `void` | `setWmDailyMinutesStd(int wmDailyMinutesStd)` Sets the wmDailyMinutesStd value for this CfgContract.
    `void` | `setWmDayoffEx(int wmDayoffEx)` Sets the wmDayoffEx value for this CfgContract.
    `void` | `setWmDayoffMax(int wmDayoffMax)` Sets the wmDayoffMax value for this CfgContract.
    `void` | `setWmDayoffMin(int wmDayoffMin)` Sets the wmDayoffMin value for this CfgContract.
    `void` | `setWmIcon(int wmIcon)` Sets the wmIcon value for this CfgContract.
    `void` | `setWmMaxBetweenDaysoff(int wmMaxBetweenDaysoff)` Sets the wmMaxBetweenDaysoff value for this CfgContract.
    `void` | `setWmMinConsecTimeoff(int wmMinConsecTimeoff)` Sets the wmMinConsecTimeoff value for this CfgContract.
    `void` | `setWmMonthlyMinutesMax(int wmMonthlyMinutesMax)` Sets the wmMonthlyMinutesMax value for this CfgContract.
    `void` | `setWmMonthlyMinutesMin(int wmMonthlyMinutesMin)` Sets the wmMonthlyMinutesMin value for this CfgContract.
    `void` | `setWmMonthlyMinutesOver(int wmMonthlyMinutesOver)` Sets the wmMonthlyMinutesOver value for this CfgContract.
    `void` | `setWmMonthlyMinutesOver2(int wmMonthlyMinutesOver2)` Sets the wmMonthlyMinutesOver2 value for this CfgContract.
    `void` | `setWmMonthlyMinutesStd(int wmMonthlyMinutesStd)` Sets the wmMonthlyMinutesStd value for this CfgContract.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgContract.
    `void` | `setWmOver2Enabled(boolean wmOver2Enabled)` Sets the wmOver2Enabled value for this CfgContract.
    `void` | `setWmOverEnabled(boolean wmOverEnabled)` Sets the wmOverEnabled value for this CfgContract.
    `void` | `setWmSatOffEnabled(boolean wmSatOffEnabled)` Sets the wmSatOffEnabled value for this CfgContract.
    `void` | `setWmSatOffMax(int wmSatOffMax)` Sets the wmSatOffMax value for this CfgContract.
    `void` | `setWmSatOffMin(int wmSatOffMin)` Sets the wmSatOffMin value for this CfgContract.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgContract.
    `void` | `setWmSunOffEnabled(boolean wmSunOffEnabled)` Sets the wmSunOffEnabled value for this CfgContract.
    `void` | `setWmSunOffMax(int wmSunOffMax)` Sets the wmSunOffMax value for this CfgContract.
    `void` | `setWmSunOffMin(int wmSunOffMin)` Sets the wmSunOffMin value for this CfgContract.
    `void` | `setWmSynchThreshold(int wmSynchThreshold)` Sets the wmSynchThreshold value for this CfgContract.
    `void` | `setWmSynchWeeks(int wmSynchWeeks)` Sets the wmSynchWeeks value for this CfgContract.
    `void` | `setWmWeekendOffEnabled(boolean wmWeekendOffEnabled)` Sets the wmWeekendOffEnabled value for this CfgContract.
    `void` | `setWmWeekendOffMax(int wmWeekendOffMax)` Sets the wmWeekendOffMax value for this CfgContract.
    `void` | `setWmWeekendOffMin(int wmWeekendOffMin)` Sets the wmWeekendOffMin value for this CfgContract.
    `void` | `setWmWeeklyDaysMax(int wmWeeklyDaysMax)` Sets the wmWeeklyDaysMax value for this CfgContract.
    `void` | `setWmWeeklyDaysMin(int wmWeeklyDaysMin)` Sets the wmWeeklyDaysMin value for this CfgContract.
    `void` | `setWmWeeklyMinutesMax(int wmWeeklyMinutesMax)` Sets the wmWeeklyMinutesMax value for this CfgContract.
    `void` | `setWmWeeklyMinutesMin(int wmWeeklyMinutesMin)` Sets the wmWeeklyMinutesMin value for this CfgContract.
    `void` | `setWmWeeklyMinutesOver(int wmWeeklyMinutesOver)` Sets the wmWeeklyMinutesOver value for this CfgContract.
    `void` | `setWmWeeklyMinutesOver2(int wmWeeklyMinutesOver2)` Sets the wmWeeklyMinutesOver2 value for this CfgContract.
    `void` | `setWmWeeklyMinutesStd(int wmWeeklyMinutesStd)` Sets the wmWeeklyMinutesStd value for this CfgContract.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmContractId

          private int wmContractId

      Contract ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, indetifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Contract Name

    - #### wmIcon

          private int wmIcon

      Icon ID

    - #### wmDailyMinutesStd

          private int wmDailyMinutesStd

      Standard Daily Minutes

    - #### wmDailyMinutesMin

          private int wmDailyMinutesMin

      Minimum Daily Minutes

    - #### wmDailyMinutesMax

          private int wmDailyMinutesMax

      Maximum Daily Minutes

    - #### wmWeeklyMinutesStd

          private int wmWeeklyMinutesStd

      Standard Weekly Minutes

    - #### wmWeeklyMinutesMin

          private int wmWeeklyMinutesMin

      Minimum Weekly Minutes

    - #### wmWeeklyMinutesMax

          private int wmWeeklyMinutesMax

      Maximum Weekly MInutes

    - #### wmMonthlyMinutesStd

          private int wmMonthlyMinutesStd

      Standard Monthly Minutes

    - #### wmMonthlyMinutesMin

          private int wmMonthlyMinutesMin

      Minimum Monthly Minutes

    - #### wmMonthlyMinutesMax

          private int wmMonthlyMinutesMax

      Maximum Monthly Minutes

    - #### wmMaxBetweenDaysoff

          private int wmMaxBetweenDaysoff

      Maximum number of work days between days off

    - #### wmWeeklyDaysMin

          private int wmWeeklyDaysMin

      Minimum number of work days per week

    - #### wmWeeklyDaysMax

          private int wmWeeklyDaysMax

      Maximum number of work days per week

    - #### wmSunOffEnabled

          private boolean wmSunOffEnabled

      Sundays Off rule enabled (true/false)

    - #### wmSunOffMin

          private int wmSunOffMin

      Minimum number of Sundays off (per planning period)

    - #### wmSunOffMax

          private int wmSunOffMax

      Maximum number of Sundays off (per planning period)

    - #### wmSatOffEnabled

          private boolean wmSatOffEnabled

      Saturdays Off rule enabled (true/false)

    - #### wmSatOffMin

          private int wmSatOffMin

      Minimum number of Saturdays off (per planning period)

    - #### wmSatOffMax

          private int wmSatOffMax

      Maximum number of Saturdays off (per planning period)

    - #### wmWeekendOffEnabled

          private boolean wmWeekendOffEnabled

      Weekends Off rule enabled (true/false)

    - #### wmWeekendOffMin

          private int wmWeekendOffMin

      Minimum number of Weekends off (per planning period)

    - #### wmWeekendOffMax

          private int wmWeekendOffMax

      Maximum number of Weekends off (per planning period)

    - #### wmDailyMinutesOver

          private int wmDailyMinutesOver

      Daily work minutes that qualify for Daily Overtime

    - #### wmWeeklyMinutesOver

          private int wmWeeklyMinutesOver

      Weekly work minutes that qualify for Weekly Overtime

    - #### wmMonthlyMinutesOver

          private int wmMonthlyMinutesOver

      Monthly work minutes that qualify for Monthly Overtime

    - #### wmCompensationOver

          private double wmCompensationOver

      Overtime compensation rate

    - #### wmDailyMinutesOver2

          private int wmDailyMinutesOver2

      Daily work minutes that qualify for Secondary Daily Overtime

    - #### wmWeeklyMinutesOver2

          private int wmWeeklyMinutesOver2

      Weekly work minutes that qualify for Secondary Weekly Overtime

    - #### wmMonthlyMinutesOver2

          private int wmMonthlyMinutesOver2

      Monthly work minutes that qualify for Secondary Monthly Overtime

    - #### wmCompensationOver2

          private double wmCompensationOver2

      Secondary Overtime compensation rate

    - #### wmOverEnabled

          private boolean wmOverEnabled

      Overtime enabled (true/false)

    - #### wmOver2Enabled

          private boolean wmOver2Enabled

      Secondary Overtime enabled (true/false)

    - #### wmMinConsecTimeoff

          private int wmMinConsecTimeoff

      Minimum number of Consecutive Time Off

    - #### wmDayoffMin

          private int wmDayoffMin

      Minimum number of Days Off

    - #### wmDayoffMax

          private int wmDayoffMax

      Maximum number of Days Off

    - #### wmDayoffEx

          private int wmDayoffEx

    - #### wmSynchThreshold

          private int wmSynchThreshold

      Synchronization Threshold

    - #### wmSynchWeeks

          private int wmSynchWeeks

      Synchronization Weeks

    - #### wmAvailabilities

          private CfgContractWeekHours[] wmAvailabilities

      Contract Open Hours (`CfgContractWeekHours`) for every week day. Index 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### wmContractMonthHours

          private CfgContractMonthHours[] wmContractMonthHours

      Contract Monthly Hours (`CfgContractMonthHours`) Index 0 - Jan, 2 - Feb, ..., 11 - Dec

    - #### wmContractShiftsNSizeIs

          private int wmContractShiftsNSizeIs

      Number of elements in wmContractShifts array

    - #### wmContractShifts

          private int[] wmContractShifts

      List of Shift IDs (`CfgShift`) that are associated with Contract

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgContract

          public CfgContract()

    - #### CfgContract

          public CfgContract(int wmContractId,
                     int wmSiteId,
                     java.lang.String wmName,
                     int wmIcon,
                     int wmDailyMinutesStd,
                     int wmDailyMinutesMin,
                     int wmDailyMinutesMax,
                     int wmWeeklyMinutesStd,
                     int wmWeeklyMinutesMin,
                     int wmWeeklyMinutesMax,
                     int wmMonthlyMinutesStd,
                     int wmMonthlyMinutesMin,
                     int wmMonthlyMinutesMax,
                     int wmMaxBetweenDaysoff,
                     int wmWeeklyDaysMin,
                     int wmWeeklyDaysMax,
                     boolean wmSunOffEnabled,
                     int wmSunOffMin,
                     int wmSunOffMax,
                     boolean wmSatOffEnabled,
                     int wmSatOffMin,
                     int wmSatOffMax,
                     boolean wmWeekendOffEnabled,
                     int wmWeekendOffMin,
                     int wmWeekendOffMax,
                     int wmDailyMinutesOver,
                     int wmWeeklyMinutesOver,
                     int wmMonthlyMinutesOver,
                     double wmCompensationOver,
                     int wmDailyMinutesOver2,
                     int wmWeeklyMinutesOver2,
                     int wmMonthlyMinutesOver2,
                     double wmCompensationOver2,
                     boolean wmOverEnabled,
                     boolean wmOver2Enabled,
                     int wmMinConsecTimeoff,
                     int wmDayoffMin,
                     int wmDayoffMax,
                     int wmDayoffEx,
                     int wmSynchThreshold,
                     int wmSynchWeeks,
                     CfgContractWeekHours[] wmAvailabilities,
                     CfgContractMonthHours[] wmContractMonthHours,
                     int wmContractShiftsNSizeIs,
                     int[] wmContractShifts,
                     long timestamp)

  - ### Method Detail

    - #### getWmContractId

          public int getWmContractId()

      Gets the wmContractId value for this CfgContract.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int wmContractId)

      Sets the wmContractId value for this CfgContract.
      Parameters:
        `wmContractId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgContract.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgContract.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgContract.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgContract.
      Parameters:
        `wmName` -

    - #### getWmIcon

          public int getWmIcon()

      Gets the wmIcon value for this CfgContract.
      Returns:
        wmIcon

    - #### setWmIcon

          public void setWmIcon(int wmIcon)

      Sets the wmIcon value for this CfgContract.
      Parameters:
        `wmIcon` -

    - #### getWmDailyMinutesStd

          public int getWmDailyMinutesStd()

      Gets the wmDailyMinutesStd value for this CfgContract.
      Returns:
        wmDailyMinutesStd

    - #### setWmDailyMinutesStd

          public void setWmDailyMinutesStd(int wmDailyMinutesStd)

      Sets the wmDailyMinutesStd value for this CfgContract.
      Parameters:
        `wmDailyMinutesStd` -

    - #### getWmDailyMinutesMin

          public int getWmDailyMinutesMin()

      Gets the wmDailyMinutesMin value for this CfgContract.
      Returns:
        wmDailyMinutesMin

    - #### setWmDailyMinutesMin

          public void setWmDailyMinutesMin(int wmDailyMinutesMin)

      Sets the wmDailyMinutesMin value for this CfgContract.
      Parameters:
        `wmDailyMinutesMin` -

    - #### getWmDailyMinutesMax

          public int getWmDailyMinutesMax()

      Gets the wmDailyMinutesMax value for this CfgContract.
      Returns:
        wmDailyMinutesMax

    - #### setWmDailyMinutesMax

          public void setWmDailyMinutesMax(int wmDailyMinutesMax)

      Sets the wmDailyMinutesMax value for this CfgContract.
      Parameters:
        `wmDailyMinutesMax` -

    - #### getWmWeeklyMinutesStd

          public int getWmWeeklyMinutesStd()

      Gets the wmWeeklyMinutesStd value for this CfgContract.
      Returns:
        wmWeeklyMinutesStd

    - #### setWmWeeklyMinutesStd

          public void setWmWeeklyMinutesStd(int wmWeeklyMinutesStd)

      Sets the wmWeeklyMinutesStd value for this CfgContract.
      Parameters:
        `wmWeeklyMinutesStd` -

    - #### getWmWeeklyMinutesMin

          public int getWmWeeklyMinutesMin()

      Gets the wmWeeklyMinutesMin value for this CfgContract.
      Returns:
        wmWeeklyMinutesMin

    - #### setWmWeeklyMinutesMin

          public void setWmWeeklyMinutesMin(int wmWeeklyMinutesMin)

      Sets the wmWeeklyMinutesMin value for this CfgContract.
      Parameters:
        `wmWeeklyMinutesMin` -

    - #### getWmWeeklyMinutesMax

          public int getWmWeeklyMinutesMax()

      Gets the wmWeeklyMinutesMax value for this CfgContract.
      Returns:
        wmWeeklyMinutesMax

    - #### setWmWeeklyMinutesMax

          public void setWmWeeklyMinutesMax(int wmWeeklyMinutesMax)

      Sets the wmWeeklyMinutesMax value for this CfgContract.
      Parameters:
        `wmWeeklyMinutesMax` -

    - #### getWmMonthlyMinutesStd

          public int getWmMonthlyMinutesStd()

      Gets the wmMonthlyMinutesStd value for this CfgContract.
      Returns:
        wmMonthlyMinutesStd

    - #### setWmMonthlyMinutesStd

          public void setWmMonthlyMinutesStd(int wmMonthlyMinutesStd)

      Sets the wmMonthlyMinutesStd value for this CfgContract.
      Parameters:
        `wmMonthlyMinutesStd` -

    - #### getWmMonthlyMinutesMin

          public int getWmMonthlyMinutesMin()

      Gets the wmMonthlyMinutesMin value for this CfgContract.
      Returns:
        wmMonthlyMinutesMin

    - #### setWmMonthlyMinutesMin

          public void setWmMonthlyMinutesMin(int wmMonthlyMinutesMin)

      Sets the wmMonthlyMinutesMin value for this CfgContract.
      Parameters:
        `wmMonthlyMinutesMin` -

    - #### getWmMonthlyMinutesMax

          public int getWmMonthlyMinutesMax()

      Gets the wmMonthlyMinutesMax value for this CfgContract.
      Returns:
        wmMonthlyMinutesMax

    - #### setWmMonthlyMinutesMax

          public void setWmMonthlyMinutesMax(int wmMonthlyMinutesMax)

      Sets the wmMonthlyMinutesMax value for this CfgContract.
      Parameters:
        `wmMonthlyMinutesMax` -

    - #### getWmMaxBetweenDaysoff

          public int getWmMaxBetweenDaysoff()

      Gets the wmMaxBetweenDaysoff value for this CfgContract.
      Returns:
        wmMaxBetweenDaysoff

    - #### setWmMaxBetweenDaysoff

          public void setWmMaxBetweenDaysoff(int wmMaxBetweenDaysoff)

      Sets the wmMaxBetweenDaysoff value for this CfgContract.
      Parameters:
        `wmMaxBetweenDaysoff` -

    - #### getWmWeeklyDaysMin

          public int getWmWeeklyDaysMin()

      Gets the wmWeeklyDaysMin value for this CfgContract.
      Returns:
        wmWeeklyDaysMin

    - #### setWmWeeklyDaysMin

          public void setWmWeeklyDaysMin(int wmWeeklyDaysMin)

      Sets the wmWeeklyDaysMin value for this CfgContract.
      Parameters:
        `wmWeeklyDaysMin` -

    - #### getWmWeeklyDaysMax

          public int getWmWeeklyDaysMax()

      Gets the wmWeeklyDaysMax value for this CfgContract.
      Returns:
        wmWeeklyDaysMax

    - #### setWmWeeklyDaysMax

          public void setWmWeeklyDaysMax(int wmWeeklyDaysMax)

      Sets the wmWeeklyDaysMax value for this CfgContract.
      Parameters:
        `wmWeeklyDaysMax` -

    - #### isWmSunOffEnabled

          public boolean isWmSunOffEnabled()

      Gets the wmSunOffEnabled value for this CfgContract.
      Returns:
        wmSunOffEnabled

    - #### setWmSunOffEnabled

          public void setWmSunOffEnabled(boolean wmSunOffEnabled)

      Sets the wmSunOffEnabled value for this CfgContract.
      Parameters:
        `wmSunOffEnabled` -

    - #### getWmSunOffMin

          public int getWmSunOffMin()

      Gets the wmSunOffMin value for this CfgContract.
      Returns:
        wmSunOffMin

    - #### setWmSunOffMin

          public void setWmSunOffMin(int wmSunOffMin)

      Sets the wmSunOffMin value for this CfgContract.
      Parameters:
        `wmSunOffMin` -

    - #### getWmSunOffMax

          public int getWmSunOffMax()

      Gets the wmSunOffMax value for this CfgContract.
      Returns:
        wmSunOffMax

    - #### setWmSunOffMax

          public void setWmSunOffMax(int wmSunOffMax)

      Sets the wmSunOffMax value for this CfgContract.
      Parameters:
        `wmSunOffMax` -

    - #### isWmSatOffEnabled

          public boolean isWmSatOffEnabled()

      Gets the wmSatOffEnabled value for this CfgContract.
      Returns:
        wmSatOffEnabled

    - #### setWmSatOffEnabled

          public void setWmSatOffEnabled(boolean wmSatOffEnabled)

      Sets the wmSatOffEnabled value for this CfgContract.
      Parameters:
        `wmSatOffEnabled` -

    - #### getWmSatOffMin

          public int getWmSatOffMin()

      Gets the wmSatOffMin value for this CfgContract.
      Returns:
        wmSatOffMin

    - #### setWmSatOffMin

          public void setWmSatOffMin(int wmSatOffMin)

      Sets the wmSatOffMin value for this CfgContract.
      Parameters:
        `wmSatOffMin` -

    - #### getWmSatOffMax

          public int getWmSatOffMax()

      Gets the wmSatOffMax value for this CfgContract.
      Returns:
        wmSatOffMax

    - #### setWmSatOffMax

          public void setWmSatOffMax(int wmSatOffMax)

      Sets the wmSatOffMax value for this CfgContract.
      Parameters:
        `wmSatOffMax` -

    - #### isWmWeekendOffEnabled

          public boolean isWmWeekendOffEnabled()

      Gets the wmWeekendOffEnabled value for this CfgContract.
      Returns:
        wmWeekendOffEnabled

    - #### setWmWeekendOffEnabled

          public void setWmWeekendOffEnabled(boolean wmWeekendOffEnabled)

      Sets the wmWeekendOffEnabled value for this CfgContract.
      Parameters:
        `wmWeekendOffEnabled` -

    - #### getWmWeekendOffMin

          public int getWmWeekendOffMin()

      Gets the wmWeekendOffMin value for this CfgContract.
      Returns:
        wmWeekendOffMin

    - #### setWmWeekendOffMin

          public void setWmWeekendOffMin(int wmWeekendOffMin)

      Sets the wmWeekendOffMin value for this CfgContract.
      Parameters:
        `wmWeekendOffMin` -

    - #### getWmWeekendOffMax

          public int getWmWeekendOffMax()

      Gets the wmWeekendOffMax value for this CfgContract.
      Returns:
        wmWeekendOffMax

    - #### setWmWeekendOffMax

          public void setWmWeekendOffMax(int wmWeekendOffMax)

      Sets the wmWeekendOffMax value for this CfgContract.
      Parameters:
        `wmWeekendOffMax` -

    - #### getWmDailyMinutesOver

          public int getWmDailyMinutesOver()

      Gets the wmDailyMinutesOver value for this CfgContract.
      Returns:
        wmDailyMinutesOver

    - #### setWmDailyMinutesOver

          public void setWmDailyMinutesOver(int wmDailyMinutesOver)

      Sets the wmDailyMinutesOver value for this CfgContract.
      Parameters:
        `wmDailyMinutesOver` -

    - #### getWmWeeklyMinutesOver

          public int getWmWeeklyMinutesOver()

      Gets the wmWeeklyMinutesOver value for this CfgContract.
      Returns:
        wmWeeklyMinutesOver

    - #### setWmWeeklyMinutesOver

          public void setWmWeeklyMinutesOver(int wmWeeklyMinutesOver)

      Sets the wmWeeklyMinutesOver value for this CfgContract.
      Parameters:
        `wmWeeklyMinutesOver` -

    - #### getWmMonthlyMinutesOver

          public int getWmMonthlyMinutesOver()

      Gets the wmMonthlyMinutesOver value for this CfgContract.
      Returns:
        wmMonthlyMinutesOver

    - #### setWmMonthlyMinutesOver

          public void setWmMonthlyMinutesOver(int wmMonthlyMinutesOver)

      Sets the wmMonthlyMinutesOver value for this CfgContract.
      Parameters:
        `wmMonthlyMinutesOver` -

    - #### getWmCompensationOver

          public double getWmCompensationOver()

      Gets the wmCompensationOver value for this CfgContract.
      Returns:
        wmCompensationOver

    - #### setWmCompensationOver

          public void setWmCompensationOver(double wmCompensationOver)

      Sets the wmCompensationOver value for this CfgContract.
      Parameters:
        `wmCompensationOver` -

    - #### getWmDailyMinutesOver2

          public int getWmDailyMinutesOver2()

      Gets the wmDailyMinutesOver2 value for this CfgContract.
      Returns:
        wmDailyMinutesOver2

    - #### setWmDailyMinutesOver2

          public void setWmDailyMinutesOver2(int wmDailyMinutesOver2)

      Sets the wmDailyMinutesOver2 value for this CfgContract.
      Parameters:
        `wmDailyMinutesOver2` -

    - #### getWmWeeklyMinutesOver2

          public int getWmWeeklyMinutesOver2()

      Gets the wmWeeklyMinutesOver2 value for this CfgContract.
      Returns:
        wmWeeklyMinutesOver2

    - #### setWmWeeklyMinutesOver2

          public void setWmWeeklyMinutesOver2(int wmWeeklyMinutesOver2)

      Sets the wmWeeklyMinutesOver2 value for this CfgContract.
      Parameters:
        `wmWeeklyMinutesOver2` -

    - #### getWmMonthlyMinutesOver2

          public int getWmMonthlyMinutesOver2()

      Gets the wmMonthlyMinutesOver2 value for this CfgContract.
      Returns:
        wmMonthlyMinutesOver2

    - #### setWmMonthlyMinutesOver2

          public void setWmMonthlyMinutesOver2(int wmMonthlyMinutesOver2)

      Sets the wmMonthlyMinutesOver2 value for this CfgContract.
      Parameters:
        `wmMonthlyMinutesOver2` -

    - #### getWmCompensationOver2

          public double getWmCompensationOver2()

      Gets the wmCompensationOver2 value for this CfgContract.
      Returns:
        wmCompensationOver2

    - #### setWmCompensationOver2

          public void setWmCompensationOver2(double wmCompensationOver2)

      Sets the wmCompensationOver2 value for this CfgContract.
      Parameters:
        `wmCompensationOver2` -

    - #### isWmOverEnabled

          public boolean isWmOverEnabled()

      Gets the wmOverEnabled value for this CfgContract.
      Returns:
        wmOverEnabled

    - #### setWmOverEnabled

          public void setWmOverEnabled(boolean wmOverEnabled)

      Sets the wmOverEnabled value for this CfgContract.
      Parameters:
        `wmOverEnabled` -

    - #### isWmOver2Enabled

          public boolean isWmOver2Enabled()

      Gets the wmOver2Enabled value for this CfgContract.
      Returns:
        wmOver2Enabled

    - #### setWmOver2Enabled

          public void setWmOver2Enabled(boolean wmOver2Enabled)

      Sets the wmOver2Enabled value for this CfgContract.
      Parameters:
        `wmOver2Enabled` -

    - #### getWmMinConsecTimeoff

          public int getWmMinConsecTimeoff()

      Gets the wmMinConsecTimeoff value for this CfgContract.
      Returns:
        wmMinConsecTimeoff

    - #### setWmMinConsecTimeoff

          public void setWmMinConsecTimeoff(int wmMinConsecTimeoff)

      Sets the wmMinConsecTimeoff value for this CfgContract.
      Parameters:
        `wmMinConsecTimeoff` -

    - #### getWmDayoffMin

          public int getWmDayoffMin()

      Gets the wmDayoffMin value for this CfgContract.
      Returns:
        wmDayoffMin

    - #### setWmDayoffMin

          public void setWmDayoffMin(int wmDayoffMin)

      Sets the wmDayoffMin value for this CfgContract.
      Parameters:
        `wmDayoffMin` -

    - #### getWmDayoffMax

          public int getWmDayoffMax()

      Gets the wmDayoffMax value for this CfgContract.
      Returns:
        wmDayoffMax

    - #### setWmDayoffMax

          public void setWmDayoffMax(int wmDayoffMax)

      Sets the wmDayoffMax value for this CfgContract.
      Parameters:
        `wmDayoffMax` -

    - #### getWmDayoffEx

          public int getWmDayoffEx()

      Gets the wmDayoffEx value for this CfgContract.
      Returns:
        wmDayoffEx

    - #### setWmDayoffEx

          public void setWmDayoffEx(int wmDayoffEx)

      Sets the wmDayoffEx value for this CfgContract.
      Parameters:
        `wmDayoffEx` -

    - #### getWmSynchThreshold

          public int getWmSynchThreshold()

      Gets the wmSynchThreshold value for this CfgContract.
      Returns:
        wmSynchThreshold

    - #### setWmSynchThreshold

          public void setWmSynchThreshold(int wmSynchThreshold)

      Sets the wmSynchThreshold value for this CfgContract.
      Parameters:
        `wmSynchThreshold` -

    - #### getWmSynchWeeks

          public int getWmSynchWeeks()

      Gets the wmSynchWeeks value for this CfgContract.
      Returns:
        wmSynchWeeks

    - #### setWmSynchWeeks

          public void setWmSynchWeeks(int wmSynchWeeks)

      Sets the wmSynchWeeks value for this CfgContract.
      Parameters:
        `wmSynchWeeks` -

    - #### getWmAvailabilities

          public CfgContractWeekHours[] getWmAvailabilities()

      Gets the wmAvailabilities value for this CfgContract.
      Returns:
        wmAvailabilities

    - #### setWmAvailabilities

          public void setWmAvailabilities(CfgContractWeekHours[] wmAvailabilities)

      Sets the wmAvailabilities value for this CfgContract.
      Parameters:
        `wmAvailabilities` -

    - #### getWmContractMonthHours

          public CfgContractMonthHours[] getWmContractMonthHours()

      Gets the wmContractMonthHours value for this CfgContract.
      Returns:
        wmContractMonthHours

    - #### setWmContractMonthHours

          public void setWmContractMonthHours(CfgContractMonthHours[] wmContractMonthHours)

      Sets the wmContractMonthHours value for this CfgContract.
      Parameters:
        `wmContractMonthHours` -

    - #### getWmContractShiftsNSizeIs

          public int getWmContractShiftsNSizeIs()

      Gets the wmContractShiftsNSizeIs value for this CfgContract.
      Returns:
        wmContractShiftsNSizeIs

    - #### setWmContractShiftsNSizeIs

          public void setWmContractShiftsNSizeIs(int wmContractShiftsNSizeIs)

      Sets the wmContractShiftsNSizeIs value for this CfgContract.
      Parameters:
        `wmContractShiftsNSizeIs` -

    - #### getWmContractShifts

          public int[] getWmContractShifts()

      Gets the wmContractShifts value for this CfgContract.
      Returns:
        wmContractShifts

    - #### setWmContractShifts

          public void setWmContractShifts(int[] wmContractShifts)

      Sets the wmContractShifts value for this CfgContract.
      Parameters:
        `wmContractShifts` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgContract.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgContract.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.